#*******************************************************
#
# Device: '{{hostname}}' - IP: {{inventory_hostname}} - OS: {{ ansible_network_os }}{#ansible_network_os devuelve el OS listado en el inventario para el equipo (variable propia de Ansible)#}
#
#*******************************************************
#interfaces
interfaces{
{% for l3vpn in l3vpn: %} {#se recorren todos las interfaces listados en las variables de inventario#}
{% if l3vpn.Status == "0" %} {# si el status es 0 (vpn habilitada)#}
  lo0{
        replace: active: unit {{l3vpn.customerID}}{ {# En Junos, replace hace que la configuración reemplace al elemento que tiene el mismo nombre (pisa la config del unit correspondiente)#}
        description "VPN {{l3vpn.CustomerName}}";
        enable;
        }
    }
{% elif l3vpn.Status == "1" %} {# si el status es 1 (vpn deshabilitada)#}
    lo0{
        replace: inactive: unit {{l3vpn.customerID}}{ {#customerID va a ser el número de interfaz lógica (unit en junos)#}
        description "VPN {{l3vpn.CustomerName}} | BAJA TEMPORAL"; {# descripcion de la interfaz#}
        disable; 
        }
    }
{% else %} {# cualquier otro status, borra la interfaz #}
    lo0{
        delete: unit {{l3vpn.customerID}};
    }
{% endif %}
{% endfor %}
}

{#
Esto es un comentario 
#}


{#JUNOS INTERFACE#}
{#
    user@junos-device# show
    interfaces{
        ge-1/2/0{
            unit 0{
                family inet{
                    address 192.168.10.40/24
                }
            }
        }
    }
#}


{# otra forma de ver las sentencias:#}
{#
lo0{
        replace: 
            active: 
                unit {{l3vpn.customerID}}{
                    description "VPN {{l3vpn.CustomerName}}";
                    enable;
                }
    }
#}


{# filtro replace, devuelve una copia con el string viejo reemplazado por el nuevo
 # replace(s: str, old:str, new:str, count:union[int, NoneType]=None)
 # si se da el count, solo se reemplazan los primeros N textos coincidentes.
 #}